# Class CIM_StorageRedundancySet
extends CIM_RedundancySet

A class derived from RedundancySet describing storage-related redundancy information. StorageRedundancySets are used to protect user data. They aggregate one or more underlying StorageExtents, associated via MemberOfCollection, and produce one or more higher-level Extents. The Extents are related to each other via a BasedOn association. And, the higher level Extent is related to the StorageRedundancy Set via the LogicalIdentity association. Note that StorageRedundancySets may overlap in their aggregation of members. If this occurs, the overlapping Extents SHOULD NOT contain any check data.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_RedundancySet
|
+--CIM_StorageRedundancySet

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class derived from RedundancySet describing storage-related redundancy information. StorageRedundancySets are used to protect user data. They aggregate one or more underlying StorageExtents, associated via MemberOfCollection, and produce one or more higher-level Extents. The Extents are related to each other via a BasedOn association. And, the higher level Extent is related to the StorageRedundancy Set via the LogicalIdentity association. Note that StorageRedundancySets may overlap in their aggregation of members. If this occurs, the overlapping Extents SHOULD NOT contain any check data.

UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.8.1000

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherAlgorithm | string |
Description | string | A string describing the redundancy algorithm when the TypeOfAlgorithm is set to 1 'Other'.
ModelCorrespondence | string | CIM_StorageRedundancySet.TypeOfAlgorithm
TypeOfAlgorithm | uint16 |
Description | string | TypeOfAlgorithm specifies the algorithm used for storage data redundancy and reconstruction. For example, 'P+Q' (=5) or 'P+S' (=7) may be specified.
MappingStrings | string | MIF.DMTF|Redundancy Group|001.2
ModelCorrespondence | string | CIM_StorageRedundancySet.OtherAlgorithm
ValueMap | string | 0, 1, 3, 4, 5, 6, 7
Values | string | Unknown, Other, Copy, XOR, P+Q, S, P+S

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection
LoadBalanceAlgorithm | uint16 | CIM_RedundancySet
MaxNumberSupported | uint32 | CIM_RedundancySet
MinNumberNeeded | uint32 | CIM_RedundancySet
OtherLoadBalanceAlgorithm | string | CIM_RedundancySet
RedundancyStatus | uint16 | CIM_RedundancySet
VendorIdentifyingInfo | string | CIM_RedundancySet
OtherTypeOfSet | string[] | CIM_RedundancySet
TypeOfSet | uint16[] | CIM_RedundancySet

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Failover | uint32 | CIM_RedundancySet